Class UmlBaseClassItem

Mother class of the all the class's items including the class themself

Declaration :

- C++ : class UmlBaseClassItem : public UmlItem
- Java : abstract class UmlBaseClassItem extends UmlItem

Directly inherited by : UmlClassItem

Artifact : UmlBaseClassItem

Operation cppDecl

return the C++ declaration

Declaration :

- Uml : + cppDecl() : string
- C++ : public: const QCString & cppDecl()
- Java : public String cppDecl()

Operation set_CppDecl

to set the C++ declaration
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppDecl(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppDecl(const char * s)
- Java : public void set_CppDecl(String s) throws RuntimeException

Operation javaDecl

return the Java defininition

Declaration :

- Uml : + javaDecl() : string
- C++ : public: const QCString & javaDecl()
- Java : public String javaDecl()

Operation set_JavaDecl

to set the Java definition
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaDecl(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaDecl(const char * s)
- Java : public void set_JavaDecl(String s) throws RuntimeException

Operation phpDecl

return the Php defininition

Declaration :

- Uml : + phpDecl() : string
- C++ : public: const QCString & phpDecl()
- Java : public String phpDecl()

Operation set_PhpDecl

to set the Php definition
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_PhpDecl(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_PhpDecl(const char * s)
- Java : public void set_PhpDecl(String s) throws RuntimeException

Operation pythonDecl

return the Python defininition

Declaration :

- Uml : + pythonDecl() : string
- C++ : public: const QCString & pythonDecl()
- Java : public String pythonDecl()

Operation set_PythonDecl

to set the Python definition
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_PythonDecl(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_PythonDecl(const char * s)
- Java : public void set_PythonDecl(String s) throws RuntimeException

Operation idlDecl

return the IDL declaration

Declaration :

- Uml : + idlDecl() : string
- C++ : public: const QCString & idlDecl()
- Java : public String idlDecl()

Operation set_IdlDecl

set the IDL declaration
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_IdlDecl(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_IdlDecl(const char * s)
- Java : public void set_IdlDecl(String s) throws RuntimeException

Operation unload

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Attribute _cpp_decl

Declaration :

- Uml : - _cpp_decl : string
- C++ : private: QCString _cpp_decl
- Java : private String _cpp_decl

Attribute _java_decl

Declaration :

- Uml : - _java_decl : string
- C++ : private: QCString _java_decl
- Java : private String _java_decl

Attribute _php_decl

Declaration :

- Uml : - _php_decl : string
- C++ : private: QCString _php_decl
- Java : private String _php_decl

Attribute _python_decl

Declaration :

- Uml : - _python_decl : string
- C++ : private: QCString _python_decl
- Java : private String _python_decl

Attribute _idl_decl

Declaration :

- Uml : - _idl_decl : string
- C++ : private: QCString _idl_decl
- Java : private String _idl_decl

Operation UmlBaseClassItem

Declaration :

- Uml : # UmlBaseClassItem(in id : item_id, in n : string) :
- C++ : protected: UmlBaseClassItem(void * id, const QCString & n) : UmlItem(id, n)
- Java : protected UmlBaseClassItem(long id, String n)

Operation read_cpp_

internal, do NOT use it

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

internal, do NOT use it

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

Operation read_php_

internal, do NOT use it

Declaration :

- Uml : # read_php_() : void
- C++ : protected: virtual void read_php_()
- Java : protected void read_php_()

Operation read_python_

internal, do NOT use it

Declaration :

- Uml : # read_python_() : void
- C++ : protected: virtual void read_python_()
- Java : protected void read_python_()

Operation read_idl_

internal, do NOT use it

Declaration :

- Uml : # read_idl_() : void
- C++ : protected: virtual void read_idl_()
- Java : protected void read_idl_()

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseClass;
        friend class UmlBaseExtraClassMember;
        friend class UmlBaseClassMember;
        friend class UmlBaseRelation;
        friend class UmlBaseOperation;
        friend class UmlBaseAttribute;

All public operations : apply , applyStereotype , children , childrenVisible , cppDecl , defined_ , deleteIt , description , getIdentifier , identifier_ , idlDecl , isMarked , isToolRunning , isWritable , javaDecl , kind , markedItems , moveAfter , name , parent , phpDecl , properties , propertyValue , pythonDecl , referencedBy , set_childrenVisible , set_CppDecl , set_Description , set_IdlDecl , set_isMarked , set_JavaDecl , set_Name , set_PhpDecl , set_PropertyValue , set_PythonDecl , set_Stereotype , stereotype , supportFile , unload , unload